package cn.iocoder.yudao.module.ecw.controller.admin.bankAccount.vo;

import lombok.*;
import io.swagger.annotations.*;
import javax.validation.constraints.*;

@ApiModel("管理后台 - 银行账户更新 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class BankAccountUpdateReqVO extends BankAccountBaseVO {

    @ApiModelProperty(value = "银行账号编号", required = true)
    @NotNull(message = "银行账号编号不能为空")
    private Long id;

}
