package cn.iocoder.yudao.module.ecw.controller.admin.bankAccount.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import javax.validation.constraints.NotNull;

@ApiModel("管理后台 - 银行账户更新 Request VO")
@Data
@EqualsAndHashCode()
@ToString(callSuper = true)
public class BankAccountUpdateStatusReqVO  {

    @ApiModelProperty(value = "银行账号编号", required = true)
    @NotNull(message = "银行账号编号不能为空")
    private Long id;

    @ApiModelProperty(value = "状态（0正常 1停用）", required = true)
    @NotNull(message = "状态（0正常 1停用）不能为空")
    private Integer status;
}
