package cn.iocoder.yudao.module.ecw.controller.admin.busiPwd.vo;

import lombok.*;
import java.util.*;

import com.alibaba.excel.annotation.ExcelProperty;
import cn.iocoder.yudao.framework.excel.annotations.DictFormat;
import cn.iocoder.yudao.framework.excel.convert.DictConvert;


/**
 * 业务密码 Excel VO
 *
 * @author 系统管理员
 */
@Data
public class BusiPwdExcelVO {

    @ExcelProperty("主键ID")
    private Long id;

    @ExcelProperty(value = "密码类别", converter = DictConvert.class)
    @DictFormat("pwd_type") // TODO 代码优化：建议设置到对应的 XXXDictTypeConstants 枚举类中
    private String busiType;

    @ExcelProperty("密码")
    private String pwd;

    @ExcelProperty("创建时间")
    private Date createTime;

}
