package cn.iocoder.yudao.module.ecw.controller.admin.busiPwd.vo;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import org.springframework.format.annotation.DateTimeFormat;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@ApiModel(value = "管理后台 - 业务密码 Excel 导出 Request VO", description = "参数和 BusiPwdPageReqVO 是一致的")
@Data
public class BusiPwdExportReqVO {

    @ApiModelProperty(value = "密码类别")
    private String busiType;

    @ApiModelProperty(value = "密码")
    private String pwd;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "开始创建时间")
    private Date beginCreateTime;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "结束创建时间")
    private Date endCreateTime;

}
