package cn.iocoder.yudao.module.ecw.controller.admin.currency.vo;

import lombok.*;

import java.math.BigDecimal;
import java.util.*;

import com.alibaba.excel.annotation.ExcelProperty;
import cn.iocoder.yudao.framework.excel.annotations.DictFormat;
import cn.iocoder.yudao.framework.excel.convert.DictConvert;


/**
 * 货币单位 Excel VO
 *
 * @author brian
 */
@Data
public class CurrencyExcelVO {

    /*@ExcelProperty("")
    private Integer id;*/

    @ExcelProperty("中文名称")
    private String titleZh;

    @ExcelProperty("英文名称")
    private String titleEn;

    @ExcelProperty("货币符号")
    private String fuhao;

    @ExcelProperty(value = "状态", converter = DictConvert.class)
    @DictFormat("common_status") // TODO 代码优化：建议设置到对应的 XXXDictTypeConstants 枚举类中
    private Integer status;

   /* @ExcelProperty("100外币兑人民币汇率 ")
    private BigDecimal huilv;

    @ExcelProperty("100人民币兑外币汇率 ")
    private BigDecimal exchangeToFc;*/

    @ExcelProperty("排序")
    private Integer aorder;

  /*  @ExcelProperty("")
    private Date createTime;

    @ExcelProperty("")
    private Date updateTime;
    @ExcelProperty(value = "是否删除")
    private Boolean deleted;

    @ExcelProperty(value = "创建者")
    private String creator;

    @ExcelProperty(value = "最后修改者")
    private String updater;*/
}
