package cn.iocoder.yudao.module.ecw.controller.admin.currencyEcash.vo;

import lombok.*;

import java.math.BigDecimal;
import java.util.*;

import com.alibaba.excel.annotation.ExcelProperty;

/**
 * E-Cash汇率单位 Excel VO
 *
 * @author 久点源码
 */
@Data
public class CurrencyEcashExcelVO {

    @ExcelProperty("中文名称")
    private String titleZh;

    @ExcelProperty("英文名称")
    private String titleEn;

    @ExcelProperty("货币符号")
    private String fuhao;

    @ExcelProperty("是否展示0为展示,1为不展示 ")
    private Integer status;

    @ExcelProperty("汇率 ")
    private BigDecimal huilv;

    @ExcelProperty("排序")
    private Integer aorder;

    @ExcelProperty("")
    private Date createTime;

}
