package cn.iocoder.yudao.module.ecw.controller.admin.pickupLoc.vo;

import lombok.*;
import java.util.*;

import com.alibaba.excel.annotation.ExcelProperty;

/**
 * 自提点 Excel VO
 *
 * @author wlh
 */
@Data
public class PickupLocExcelVO {

    @ExcelProperty("")
    private Long id;

    @ExcelProperty("国家")
    private Long countryId;

    @ExcelProperty("名称")
    private String titleZh;

    @ExcelProperty("英文名称")
    private String titleEn;

    @ExcelProperty("工作时间")
    private String workTime;

    @ExcelProperty("联系方式")
    private String contact;

    @ExcelProperty("提货点地址")
    private String address;

    @ExcelProperty("提货点信息")
    private String detailZh;

    @ExcelProperty("提货点英文信息")
    private String detailEn;

    @ExcelProperty("排序")
    private Integer sort;

    @ExcelProperty("是否展示 默认为展示")
    private Integer status;

    @ExcelProperty("创建时间")
    private Date createTime;

}
