package cn.iocoder.yudao.module.ecw.controller.admin.region.vo;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;

@ApiModel("管理后台 - 区域设置 Response VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class RegionRespVO extends RegionBaseVO {

    @ApiModelProperty(value = "区域id", required = true)
    private Long id;

    @ApiModelProperty(value = "区域状态（0正常 1停用）", required = true)
    private Integer status;

    @ApiModelProperty(value = "创建时间", required = true)
    private Date createTime;

    private List<RegionRespVO> children;

}
