package cn.iocoder.yudao.module.ecw.controller.admin.region.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import javax.validation.constraints.NotNull;

@ApiModel("管理后台 - 区域设置更新 Request VO")
@Data
@EqualsAndHashCode()
@ToString(callSuper = true)
public class RegionUpdateStatusReqVO  {

    @ApiModelProperty(value = "区域id", required = true)
    @NotNull(message = "区域id不能为空")
    private Long id;

    @ApiModelProperty(value = "区域状态（0正常 1停用）", required = true)
    @NotNull(message = "区域状态（0正常 1停用）不能为空")
    private Integer status;

}
