package cn.iocoder.yudao.module.ecw.controller.admin.setting.vo;

import lombok.*;
import io.swagger.annotations.*;

/**
* 全局配置 Base VO，提供给添加、修改、详细的子 VO 使用
* 如果子 VO 存在差异的字段，请不要添加到这里，影响 Swagger 文档生成
*/
@Data
public class SettingBaseVO {
    @ApiModelProperty(value = "配置键")
    private String keyName;

    @ApiModelProperty(value = "配置的类型")
    private String keyType;

    @ApiModelProperty(value = "配置的值")
    private String keyValue;

    @ApiModelProperty(value = "0显示 1不显示")
    private Integer status;

}
