package cn.iocoder.yudao.module.ecw.controller.admin.supplier.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import lombok.Data;

import java.util.Date;

/**
 * 提单托运人Excel VO
 *
 * @author wlh
 */
@Data
public class LadingShipperExcelVO {

    @ExcelProperty("")
    private Long id;

    @ExcelProperty("公司名称")
    private String companyZh;

    @ExcelProperty("英文名称")
    private String companyEn;

    @ExcelProperty("公司电话")
    private String tell;

    @ExcelProperty("国家")
    private Long country;

    @ExcelProperty("省")
    private Long province;

    @ExcelProperty("市")
    private Long city;

    @ExcelProperty("详细地址")
    private String area;

    @ExcelProperty("省市区+详细地址")
    private String address;

    @ExcelProperty("备注")
    private String remark;

    @ExcelProperty("营业执照")
    private String license;

    @ExcelProperty("合同")
    private String contract;

    @ExcelProperty("社会信用统一代码")
    private String licenseNumber;

    @ExcelProperty("合作开始时间")
    private Date cooperationDateStart;

    @ExcelProperty("合作结束时间")
    private Date cooperationDateEnd;

    @ExcelProperty("邮件地址")
    private String email;

    @ExcelProperty("创建时间")
    private Date createTime;

}
