package cn.iocoder.yudao.module.ecw.controller.admin.supplier.vo;

import lombok.*;
import io.swagger.annotations.*;

import javax.validation.constraints.*;

/**
* 供应商联系人 Base VO，提供给添加、修改、详细的子 VO 使用
* 如果子 VO 存在差异的字段，请不要添加到这里，影响 Swagger 文档生成
*/
@Data
public class SupplierContactsBaseVO {
    @ApiModelProperty(value = "id", required = true)
    private Long id;

    @ApiModelProperty(value = "供应商", required = true)
    private Long supplierId;

    @ApiModelProperty(value = "部门")
    private String department;

    @ApiModelProperty(value = "职位")
    private String position;

    @ApiModelProperty(value = "名称", required = true)
    @NotEmpty(message = "名称不能为空")
    private String name;

    @ApiModelProperty(value = "电话")
    @NotEmpty(message = "电话不能为空")
    private String phone;

}
