package cn.iocoder.yudao.module.ecw.controller.admin.supplier.vo;

import cn.iocoder.yudao.module.ecw.controller.admin.supplier.vo.supplierExternal.SupplierExternalCreateReqVO;
import cn.iocoder.yudao.module.ecw.controller.admin.supplier.vo.supplierExternal.SupplierExternalUpdateReqVO;
import cn.iocoder.yudao.module.ecw.controller.admin.supplier.vo.supplierResource.SupplierResourceCreateReqVO;
import cn.iocoder.yudao.module.ecw.controller.admin.supplier.vo.supplierResource.SupplierResourceUpdateReqVO;
import lombok.*;
import io.swagger.annotations.*;
import javax.validation.constraints.*;

@ApiModel("管理后台 - 供应商更新 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class SupplierUpdateReqVO extends SupplierBaseVO {

    @ApiModelProperty(value = "", required = true)
    @NotNull(message = "不能为空")
    private Long id;

    @ApiModelProperty(value = "国内供应商优势资源信息")
    private SupplierResourceCreateReqVO resourceVO;

    @ApiModelProperty(value = "国外供应商额外信息")
    private SupplierExternalCreateReqVO externalVO;
}
