package cn.iocoder.yudao.module.ecw.controller.admin.unit.vo;

import lombok.*;
import java.util.*;

import com.alibaba.excel.annotation.ExcelProperty;
import cn.iocoder.yudao.framework.excel.annotations.DictFormat;
import cn.iocoder.yudao.framework.excel.convert.DictConvert;


/**
 * 计量单位 Excel VO
 *
 * @author 久点源码
 */
@Data
public class UnitExcelVO {

    @ExcelProperty("")
    private Integer id;

    @ExcelProperty("中文名称")
    private String titleZh;

    @ExcelProperty("英文名称")
    private String titleEn;

    @ExcelProperty("单位符号")
    private String fuhao;

    @ExcelProperty(value = "0显示 1不显示", converter = DictConvert.class)
    @DictFormat("common_status") // TODO 代码优化：建议设置到对应的 XXXDictTypeConstants 枚举类中
    private Integer status;

    @ExcelProperty("排序")
    private Integer aorder;

    @ExcelProperty("")
    private Date createTime;

}
