package cn.iocoder.yudao.module.ecw.convert.adminClientType;

import java.util.*;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;
import cn.iocoder.yudao.module.ecw.vo.adminClientType.*;
import cn.iocoder.yudao.module.ecw.dal.dataobject.adminClientType.AdminClientTypeDO;

/**
 * 我的客户分组 Convert
 * @author 系统管理员
 */
@Mapper
public interface AdminClientTypeConvert {
    /*****转换MapStruct*****/
    AdminClientTypeConvert INSTANCE = Mappers.getMapper(AdminClientTypeConvert.class);

    /***
     * 创建VO转实体
     * @param bean
     * @return
     */
    AdminClientTypeDO convert(AdminClientTypeCreateReqVO bean);

    /***
     * 修改VO转实体
     * @param bean
     * @return
     */
    AdminClientTypeDO convert(AdminClientTypeUpdateReqVO bean);

    /***
     * 实体转返回VO
     * @param bean
     * @return
    */
    AdminClientTypeBackVO convert(AdminClientTypeDO bean);

    /***
     * 实体列表转返回VO列表
     * @param list
     * @return
     */
    List<AdminClientTypeBackVO> convertList(List<AdminClientTypeDO> list);

    /***
     * 实体分页转返回分页
     * @param page
     * @return
     */
    PageResult<AdminClientTypeBackVO> convertPage(PageResult<AdminClientTypeDO> page);
}
