package cn.iocoder.yudao.module.ecw.convert.adminClientaType;

import java.util.*;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;
import cn.iocoder.yudao.module.ecw.vo.adminClientaType.*;
import cn.iocoder.yudao.module.ecw.dal.dataobject.adminClientaType.AdminClientaTypeDO;

/**
 * 我的供应商分组 Convert
 * @author 系统管理员
 */
@Mapper
public interface AdminClientaTypeConvert {
    /*****转换MapStruct*****/
    AdminClientaTypeConvert INSTANCE = Mappers.getMapper(AdminClientaTypeConvert.class);

    /***
     * 创建VO转实体
     * @param bean
     * @return
     */
    AdminClientaTypeDO convert(AdminClientaTypeCreateReqVO bean);

    /***
     * 修改VO转实体
     * @param bean
     * @return
     */
    AdminClientaTypeDO convert(AdminClientaTypeUpdateReqVO bean);

    /***
     * 实体转返回VO
     * @param bean
     * @return
    */
    AdminClientaTypeBackVO convert(AdminClientaTypeDO bean);

    /***
     * 实体列表转返回VO列表
     * @param list
     * @return
     */
    List<AdminClientaTypeBackVO> convertList(List<AdminClientaTypeDO> list);

    /***
     * 实体分页转返回分页
     * @param page
     * @return
     */
    PageResult<AdminClientaTypeBackVO> convertPage(PageResult<AdminClientaTypeDO> page);
}
