package cn.iocoder.yudao.module.ecw.convert.busiPwd;

import java.util.*;

import cn.iocoder.yudao.framework.common.pojo.PageResult;

import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;
import cn.iocoder.yudao.module.ecw.controller.admin.busiPwd.vo.*;
import cn.iocoder.yudao.module.ecw.dal.dataobject.busiPwd.BusiPwdDO;

/**
 * 业务密码 Convert
 *
 * @author 系统管理员
 */
@Mapper
public interface BusiPwdConvert {

    BusiPwdConvert INSTANCE = Mappers.getMapper(BusiPwdConvert.class);

    BusiPwdDO convert(BusiPwdCreateReqVO bean);

    BusiPwdDO convert(BusiPwdUpdateReqVO bean);

    BusiPwdRespVO convert(BusiPwdDO bean);

    List<BusiPwdRespVO> convertList(List<BusiPwdDO> list);

    PageResult<BusiPwdRespVO> convertPage(PageResult<BusiPwdDO> page);

    List<BusiPwdExcelVO> convertList02(List<BusiPwdDO> list);

}
