package cn.iocoder.yudao.module.ecw.convert.cabinet;

import java.util.*;

import cn.iocoder.yudao.framework.common.pojo.PageResult;

import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;
import cn.iocoder.yudao.module.ecw.controller.admin.cabinet.vo.*;
import cn.iocoder.yudao.module.ecw.dal.dataobject.cabinet.CabinetDO;

/**
 * 柜型配置 Convert
 *
 * @author yanghao
 */
@Mapper
public interface CabinetConvert {

    CabinetConvert INSTANCE = Mappers.getMapper(CabinetConvert.class);

    CabinetDO convert(CabinetCreateReqVO bean);

    CabinetDO convert(CabinetUpdateReqVO bean);

    CabinetRespVO convert(CabinetDO bean);

    List<CabinetRespVO> convertList(List<CabinetDO> list);

    PageResult<CabinetRespVO> convertPage(PageResult<CabinetDO> page);

    List<CabinetExcelVO> convertList02(List<CabinetDO> list);

}
