package cn.iocoder.yudao.module.ecw.convert.currencyEcash;

import java.util.*;

import cn.iocoder.yudao.framework.common.pojo.PageResult;

import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;
import cn.iocoder.yudao.module.ecw.controller.admin.currencyEcash.vo.*;
import cn.iocoder.yudao.module.ecw.dal.dataobject.currencyEcash.CurrencyEcashDO;

/**
 * E-Cash汇率单位 Convert
 *
 * @author 久点源码
 */
@Mapper
public interface CurrencyEcashConvert {

    CurrencyEcashConvert INSTANCE = Mappers.getMapper(CurrencyEcashConvert.class);

    CurrencyEcashDO convert(CurrencyEcashCreateReqVO bean);

    CurrencyEcashDO convert(CurrencyEcashUpdateReqVO bean);

    CurrencyEcashRespVO convert(CurrencyEcashDO bean);

    List<CurrencyEcashRespVO> convertList(List<CurrencyEcashDO> list);

    PageResult<CurrencyEcashRespVO> convertPage(PageResult<CurrencyEcashDO> page);

    List<CurrencyEcashExcelVO> convertList02(List<CurrencyEcashDO> list);

}
