package cn.iocoder.yudao.module.ecw.convert.enterprise;

import java.util.*;

import cn.iocoder.yudao.framework.common.pojo.PageResult;

import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;
import cn.iocoder.yudao.module.ecw.controller.admin.enterprise.vo.*;
import cn.iocoder.yudao.module.ecw.dal.dataobject.enterprise.EnterpriseDO;

/**
 * 企业设置 Convert
 *
 * @author 系统管理员
 */
@Mapper
public interface EnterpriseConvert {

    EnterpriseConvert INSTANCE = Mappers.getMapper(EnterpriseConvert.class);

    EnterpriseDO convert(EnterpriseCreateReqVO bean);

    EnterpriseDO convert(EnterpriseUpdateReqVO bean);

    EnterpriseRespVO convert(EnterpriseDO bean);

    List<EnterpriseRespVO> convertList(List<EnterpriseDO> list);

    PageResult<EnterpriseRespVO> convertPage(PageResult<EnterpriseDO> page);

    List<EnterpriseExcelVO> convertList02(List<EnterpriseDO> list);

}
