package cn.iocoder.yudao.module.ecw.convert.messageLeave;

import java.util.*;

import cn.iocoder.yudao.framework.common.pojo.PageResult;

import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;
import cn.iocoder.yudao.module.ecw.controller.admin.messageLeave.vo.*;
import cn.iocoder.yudao.module.ecw.dal.dataobject.messageLeave.MessageLeaveDO;

/**
 * 留言 Convert
 *
 * @author yanghao
 */
@Mapper
public interface MessageLeaveConvert {

    MessageLeaveConvert INSTANCE = Mappers.getMapper(MessageLeaveConvert.class);

    MessageLeaveDO convert(MessageLeaveCreateReqVO bean);

    MessageLeaveDO convert(MessageLeaveReplyReqVO bean);

    MessageLeaveDO convert(MessageLeaveUpdateReqVO bean);

    MessageLeaveRespVO convert(MessageLeaveDO bean);

    List<MessageLeaveRespVO> convertList(List<MessageLeaveDO> list);

    PageResult<MessageLeaveRespVO> convertPage(PageResult<MessageLeaveDO> page);

    List<MessageLeaveExcelVO> convertList02(List<MessageLeaveDO> list);

}
