package cn.iocoder.yudao.module.ecw.convert.supplier;

import java.util.*;

import cn.iocoder.yudao.framework.common.pojo.PageResult;

import cn.iocoder.yudao.module.ecw.controller.admin.supplier.vo.SupplierContactsBaseVO;
import cn.iocoder.yudao.module.ecw.dal.dataobject.supplier.SupplierContactsDO;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

/**
 * 供应商联系人 Convert
 *
 * @author wlh
 */
@Mapper
public interface SupplierContactsConvert {

    SupplierContactsConvert INSTANCE = Mappers.getMapper(SupplierContactsConvert.class);

    SupplierContactsDO convert(SupplierContactsBaseVO bean);

    SupplierContactsBaseVO convert(SupplierContactsDO bean);

    List<SupplierContactsBaseVO> convertList(List<SupplierContactsDO> list);

    PageResult<SupplierContactsBaseVO> convertPage(PageResult<SupplierContactsDO> page);


}
