package cn.iocoder.yudao.module.ecw.convert.unit;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.ecw.api.unit.dto.UnitRespDto;
import cn.iocoder.yudao.module.ecw.controller.admin.unit.vo.*;
import cn.iocoder.yudao.module.ecw.dal.dataobject.unit.UnitDO;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

import java.util.List;

/**
 * 计量单位 Convert
 *
 * @author 久点源码
 */
@Mapper
public interface UnitConvert {

    UnitConvert INSTANCE = Mappers.getMapper(UnitConvert.class);

    UnitDO convert(UnitCreateReqVO bean);

    UnitDO convert(UnitUpdateReqVO bean);

    UnitDO convert(UnitUpdateStatusReqVO bean);

    UnitRespVO convert(UnitDO bean);

    UnitRespDto convert2(UnitDO bean);

    List<UnitRespVO> convertList(List<UnitDO> list);

    PageResult<UnitRespVO> convertPage(PageResult<UnitDO> page);

    List<UnitExcelVO> convertList02(List<UnitDO> list);

}
