package cn.iocoder.yudao.module.ecw.dal.dataobject.adminClient;

import lombok.*;
import java.util.*;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 我的客户 DO
 *
 * @author 系统管理员
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@TableName("ecw_admin_client")
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class AdminClientDO extends BaseDO {

    /**
     * 主键ID
     */
    @TableId
    private Long id;
    /**
     * 分组id
     */
    private Long pid;
    /**
     * 用户id
     */
    private Long uid;
    /**
     * 排序
     */
    private Integer aorder;
    /**
     * 姓名
     */
    private String name;
    /**
     * 姓名
     */
    private String nameEn;
    /**
     * 公司
     */
    private String company;
    /**
     * 公司
     */
    private String companyEn;
    /**
     * 唛头
     */
    private String maitou;
    /**
     * 手机号码(不带区号)
     */
    private String phone;
    /**
     * 邮箱
     */
    private String email;
    /**
     * 地址
     */
    private String address;
    /**
     * 国家简称
     */
    private String iso2;
    /**
     * 国家区号
     */
    private Integer dialCode;

    private Boolean  defaultContact;

}
