package cn.iocoder.yudao.module.ecw.dal.dataobject.adminClientaType;

import lombok.*;
import java.util.*;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 我的供应商分组 DO
 *
 * @author 系统管理员
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@TableName("ecw_admin_clienta_type")
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class AdminClientaTypeDO extends BaseDO {

    /**
     * 主键ID
     */
    @TableId
    private Long id;
    /**
     * 用户id
     */
    private Long uid;
    /**
     * 排序
     */
    private Integer aorder;
    /**
     * 分组名称
     */
    private String title;
    /**
     * 备注信息
     */
    private String beizhu;

}
