package cn.iocoder.yudao.module.ecw.dal.dataobject.internalMessageTo;

import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;

import java.util.Date;

/**
 * 站内信读取信息 DO
 *
 * @author 系统管理员
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@TableName("ecw_web_internal_message_to")
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class WebInternalMessageToDO extends BaseDO {

    /**
     * 
     */
    @TableId
    private Long id;
    /**
     * 站内信ID
     */
    private Long messageId;
    /**
     * 读取对象ID
     */
    private Long toId;
    /**
     * 读信息时间
     */
    private Date readTime;
    /**
     * 0未读 1已读
     */
    private Integer status;

}
