package cn.iocoder.yudao.module.ecw.dal.dataobject.pickupLoc;

import lombok.*;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 自提点 DO
 *
 * @author wlh
 */
@TableName("ecw_pickup_loc")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class PickupLocDO extends BaseDO {

    /**
     * 
     */
    @TableId
    private Long id;
    /**
     * 国家
     */
    private Long countryId;
    /**
     * 名称
     */
    private String titleZh;
    /**
     * 英文名称
     */
    private String titleEn;
    /**
     * 工作时间
     */
    private String workTime;
    /**
     * 联系方式
     */
    private String contact;
    /**
     * 提货点地址
     */
    private String address;
    /**
     * 提货点信息
     */
    private String detailZh;
    /**
     * 提货点英文信息
     */
    private String detailEn;
    /**
     * 排序
     */
    private Integer sort;
    /**
     * 是否展示 默认为展示
     */
    private Integer status;

}
