package cn.iocoder.yudao.module.ecw.dal.dataobject.supplier;

import lombok.*;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 供应商银行账户 DO
 *
 * @author wlh
 */
@TableName("ecw_supplier_bank")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class SupplierBankDO extends BaseDO {

    /**
     * 
     */
    @TableId
    private Long id;
    /**
     * 供应商
     */
    private Long supplierId;
    /**
     * 银行账户
     */
    private String accountName;
    /**
     * 币种
     */
    private String currency;
    /**
     * 银行名称
     */
    private String bankName;
    /**
     * 银行账户
     */
    private String bankAccount;
    /**
     * 银行代码
     */
    private String bankCode;
    /**
     * 账户类型
     */
    private String accountType;
    /**
     * 银行地址
     */
    private String bankAddress;

    /**
     * 是否展示 默认为展示
     */
    private Integer status;

}
