package cn.iocoder.yudao.module.ecw.dal.dataobject.supplier;

import lombok.*;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 供应商联系人 DO
 *
 * @author wlh
 */
@TableName("ecw_supplier_contacts")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class SupplierContactsDO extends BaseDO {

    /**
     * 
     */
    @TableId
    private Long id;
    /**
     * 供应商
     */
    private Long supplierId;
    /**
     * 部门
     */
    private String department;
    /**
     * 职位
     */
    private String position;
    /**
     * 名称
     */
    private String name;
    /**
     * 电话
     */
    private String phone;

}
