package cn.iocoder.yudao.module.ecw.dal.mysql.setting;

import java.util.*;

import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQueryWrapperX;
import cn.iocoder.yudao.framework.mybatis.core.mapper.BaseMapperX;
import cn.iocoder.yudao.module.ecw.dal.dataobject.setting.SettingDO;
import org.apache.ibatis.annotations.Mapper;
import cn.iocoder.yudao.module.ecw.controller.admin.setting.vo.*;

/**
 * 全局配置 Mapper
 *
 * @author wlh
 */
@Mapper
public interface SettingMapper extends BaseMapperX<SettingDO> {

    default List<SettingDO> selectList(SettingBaseVO settingBaseVO) {
        return selectList(new LambdaQueryWrapperX<SettingDO>()
                .eqIfPresent(SettingDO::getKeyName, settingBaseVO.getKeyName())
                .eqIfPresent(SettingDO::getKeyType, settingBaseVO.getKeyType())
                .orderByDesc(SettingDO::getKeyName));
    }

}
