package cn.iocoder.yudao.module.ecw.dal.mysql.supplier;


import cn.iocoder.yudao.framework.mybatis.core.mapper.BaseMapperX;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQueryWrapperX;
import cn.iocoder.yudao.module.ecw.dal.dataobject.supplier.SupplierBankDO;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * 供应商银行账户 Mapper
 *
 * @author wlh
 */
@Mapper
public interface SupplierBankMapper extends BaseMapperX<SupplierBankDO> {

    default List<SupplierBankDO> selectList(Long supplierId) {
        return selectList(new LambdaQueryWrapperX<SupplierBankDO>()
                .eqIfPresent(SupplierBankDO::getSupplierId, supplierId)
                .orderByDesc(SupplierBankDO::getId));
    }

}
