package cn.iocoder.yudao.module.ecw.service.api;

import cn.iocoder.yudao.module.ecw.api.express.ExpressApi;
import cn.iocoder.yudao.module.ecw.api.express.dto.ExpressRespDTO;
import cn.iocoder.yudao.module.ecw.convert.express.ExpressConvert;
import cn.iocoder.yudao.module.ecw.dal.dataobject.express.ExpressDO;
import cn.iocoder.yudao.module.ecw.service.express.ExpressService;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;
import java.util.List;
@Component
public class ExpressApiImpl implements ExpressApi {

    @Resource
    private ExpressService expressService;

    @Override
    public List<ExpressRespDTO> getAllExpress() {
        List<ExpressDO> list = expressService.list();
        return ExpressConvert.INSTANCE.convert2DTO(list);
    }
}
