package cn.iocoder.yudao.module.ecw.service.api;

import cn.iocoder.yudao.module.ecw.api.unit.UnitApi;
import cn.iocoder.yudao.module.ecw.api.unit.dto.UnitRespDto;
import cn.iocoder.yudao.module.ecw.convert.unit.UnitConvert;
import cn.iocoder.yudao.module.ecw.dal.dataobject.unit.UnitDO;
import cn.iocoder.yudao.module.ecw.service.unit.UnitService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.Map;
import java.util.stream.Collectors;

@Service
public class UnitApiImpl implements UnitApi {
    @Resource
    UnitService unitService;

    @Override
    public Map<Integer, UnitRespDto> getAllUnit() {
        return unitService.getUnitList().stream().collect(Collectors.toMap(UnitDO::getId, t -> UnitConvert.INSTANCE.convert2(t)));
    }
}
