package cn.iocoder.yudao.module.ecw.service.paramValid;

import cn.iocoder.yudao.framework.common.validation.MobileCode;
import org.springframework.validation.annotation.Validated;

/**
 * 参数校验 Service 接口
 *
 * @author zhengYi
 */
@Validated
public interface ParamValidatorService {

    /**
     * 根据国家区号校验手机号
     * @param mobileCode 格式 国家区号:手机号(例 86:13033332222)
     */
    default void validatorMobile(@MobileCode(message = "phone.format.error") String mobileCode) {}

}
