package cn.iocoder.yudao.module.ecw.service.setting;

import java.util.*;
import javax.validation.*;
import cn.iocoder.yudao.module.ecw.controller.admin.setting.vo.*;
import cn.iocoder.yudao.module.ecw.dal.dataobject.setting.SettingDO;

/**
 * 全局配置 Service 接口
 *
 * @author wlh
 */
public interface SettingService {

    /**
     * 创建全局配置
     *
     * @return 编号
     */
    void createSetting(@Valid SettingCreateReqVO createReqVO);


    /**
     * 获得全局配置列表
     * @return 全局配置列表
     */
    List<SettingDO> getSettingList(SettingBaseVO settingBaseVO);


}
