package cn.iocoder.yudao.module.ecw.service.supplier;

import cn.iocoder.yudao.module.ecw.dal.dataobject.supplier.SupplierBankDO;

import java.util.*;

/**
 * 供应商银行账户 Service 接口
 *
 * @author wlh
 */
public interface SupplierBankService {


    /**
     * 删除供应商银行账户
     *
     * @param id 编号
     */
    void deleteSupplierBank(Long id);

    /**
     * 获得供应商银行账户
     *
     * @param id 编号
     * @return 供应商银行账户
     */
    SupplierBankDO getSupplierBank(Long id);

    /**
     * 获得供应商银行账户列表
     *
     * @param ids 编号
     * @return 供应商银行账户列表
     */
    List<SupplierBankDO> getSupplierBankList(Collection<Long> ids);

    List<SupplierBankDO> getSupplierBankList(Long supplierId);


}
