package cn.iocoder.yudao.module.ecw.vo.adminClientaType;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import cn.iocoder.yudao.framework.common.pojo.PageParam;
import org.springframework.format.annotation.DateTimeFormat;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Data
@ApiModel("管理后台 - 我的供应商分组查询 VO")
public class AdminClientaTypeQueryVO {

    @ApiModelProperty(value = "用户id")
    private Long uid;

    @ApiModelProperty(value = "排序")
    private Integer aorder;

    @ApiModelProperty(value = "分组名称")
    private String title;

    @ApiModelProperty(value = "备注信息")
    private String beizhu;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "开始创建时间")
    private Date beginCreateTime;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "结束创建时间")
    private Date endCreateTime;

}
