package cn.iocoder.yudao.module.ecw.vo.clearanceFileNo;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import javax.validation.constraints.*;

/**
* 清关文件号码 Base VO，提供给添加、修改、详细的子 VO 使用
* 如果子 VO 存在差异的字段，请不要添加到这里，影响 Swagger 文档生成
*/
@Data
public class ClearanceFileNoBaseVO {

    @ApiModelProperty(value = "国家")
    private Long country;

    @ApiModelProperty(value = "地区")
    private Long district;

    @ApiModelProperty(value = "from m no")
    private String fromNo;

    @ApiModelProperty(value = "ba no")
    private String baNo;

    @ApiModelProperty(value = "是否展示 默认为展示")
    private Integer status;

}
