package cn.iocoder.yudao.module.ecw.vo.clearanceFileNo;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import cn.iocoder.yudao.framework.common.pojo.PageParam;
import org.springframework.format.annotation.DateTimeFormat;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Data
@ApiModel("管理后台 - 清关文件号码查询 VO")
public class ClearanceFileNoQueryVO {

    @ApiModelProperty(value = "国家")
    private Long country;

    @ApiModelProperty(value = "地区")
    private Long district;

    @ApiModelProperty(value = "from m no")
    private String fromNo;

    @ApiModelProperty(value = "ba no")
    private String baNo;

    @ApiModelProperty(value = "是否展示 默认为展示")
    private Integer status;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "开始创建时间")
    private Date beginCreateTime;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "结束创建时间")
    private Date endCreateTime;

}
