package cn.iocoder.yudao.module.ecw.vo.internalMessageTo;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import org.springframework.format.annotation.DateTimeFormat;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

/**
* 站内信读取信息 Base VO，提供给添加、修改、详细的子 VO 使用
* 如果子 VO 存在差异的字段，请不要添加到这里，影响 Swagger 文档生成
*/
@Data
public class InternalMessageToBaseVO {

    @ApiModelProperty(value = "站内信ID")
    private Long messageId;

    @ApiModelProperty(value = "读取对象ID")
    private Long toId;

    @ApiModelProperty(value = "读信息时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private Date readTime;

    @ApiModelProperty(value = "0未读 1已读")
    private Integer status;

}
