-- 菜单 SQL
INSERT INTO `system_menu`(
    `name`, `permission`, `menu_type`, `sort`, `parent_id`,
    `path`, `icon`, `component`, `status`
)
VALUES (
    '货币单位管理', '', 2, 0, 1244,
    'currency', '', 'ecw/currency/index', 0
);

-- 按钮父菜单ID
SELECT @parentId := LAST_INSERT_ID();

-- 按钮 SQL
INSERT INTO `system_menu`(
    `name`, `permission`, `menu_type`, `sort`, `parent_id`,
    `path`, `icon`, `component`, `status`
)
VALUES (
    '货币单位查询', 'ecw:currency:query', 3, 1, @parentId,
    '', '', '', 0
);
INSERT INTO `system_menu`(
    `name`, `permission`, `menu_type`, `sort`, `parent_id`,
    `path`, `icon`, `component`, `status`
)
VALUES (
    '货币单位创建', 'ecw:currency:create', 3, 2, @parentId,
    '', '', '', 0
);
INSERT INTO `system_menu`(
    `name`, `permission`, `menu_type`, `sort`, `parent_id`,
    `path`, `icon`, `component`, `status`
)
VALUES (
    '货币单位更新', 'ecw:currency:update', 3, 3, @parentId,
    '', '', '', 0
);
INSERT INTO `system_menu`(
    `name`, `permission`, `menu_type`, `sort`, `parent_id`,
    `path`, `icon`, `component`, `status`
)
VALUES (
    '货币单位删除', 'ecw:currency:delete', 3, 4, @parentId,
    '', '', '', 0
);
INSERT INTO `system_menu`(
    `name`, `permission`, `menu_type`, `sort`, `parent_id`,
    `path`, `icon`, `component`, `status`
)
VALUES (
    '货币单位导出', 'ecw:currency:export', 3, 5, @parentId,
    '', '', '', 0
);



-- 计量菜单 SQL
INSERT INTO `system_menu`(
    `name`, `permission`, `menu_type`, `sort`, `parent_id`,
    `path`, `icon`, `component`, `status`
)
VALUES (
           '计量单位管理', '', 2, 0, 1244,
           'unit', '', 'ecw/unit/index', 0
       );

-- 按钮父菜单ID
SELECT @parentId := LAST_INSERT_ID();

-- 按钮 SQL
INSERT INTO `system_menu`(
    `name`, `permission`, `menu_type`, `sort`, `parent_id`,
    `path`, `icon`, `component`, `status`
)
VALUES (
           '计量单位查询', 'ecw:unit:query', 3, 1, @parentId,
           '', '', '', 0
       );
INSERT INTO `system_menu`(
    `name`, `permission`, `menu_type`, `sort`, `parent_id`,
    `path`, `icon`, `component`, `status`
)
VALUES (
           '计量单位创建', 'ecw:unit:create', 3, 2, @parentId,
           '', '', '', 0
       );
INSERT INTO `system_menu`(
    `name`, `permission`, `menu_type`, `sort`, `parent_id`,
    `path`, `icon`, `component`, `status`
)
VALUES (
           '计量单位更新', 'ecw:unit:update', 3, 3, @parentId,
           '', '', '', 0
       );
INSERT INTO `system_menu`(
    `name`, `permission`, `menu_type`, `sort`, `parent_id`,
    `path`, `icon`, `component`, `status`
)
VALUES (
           '计量单位删除', 'ecw:unit:delete', 3, 4, @parentId,
           '', '', '', 0
       );
INSERT INTO `system_menu`(
    `name`, `permission`, `menu_type`, `sort`, `parent_id`,
    `path`, `icon`, `component`, `status`
)
VALUES (
           '计量单位导出', 'ecw:unit:export', 3, 5, @parentId,
           '', '', '', 0
       );

-- 银行账号
-- 菜单 SQL
INSERT INTO `system_menu`(
    `name`, `permission`, `menu_type`, `sort`, `parent_id`,
    `path`, `icon`, `component`, `status`
)
VALUES (
           '银行账户管理', '', 2, 0, 1244,
           'bank-account', '', 'ecw/bankAccount/index', 0
       );

-- 按钮父菜单ID
SELECT @parentId := LAST_INSERT_ID();

-- 按钮 SQL
INSERT INTO `system_menu`(
    `name`, `permission`, `menu_type`, `sort`, `parent_id`,
    `path`, `icon`, `component`, `status`
)
VALUES (
           '银行账户查询', 'ecw:bank-account:query', 3, 1, @parentId,
           '', '', '', 0
       );
INSERT INTO `system_menu`(
    `name`, `permission`, `menu_type`, `sort`, `parent_id`,
    `path`, `icon`, `component`, `status`
)
VALUES (
           '银行账户创建', 'ecw:bank-account:create', 3, 2, @parentId,
           '', '', '', 0
       );
INSERT INTO `system_menu`(
    `name`, `permission`, `menu_type`, `sort`, `parent_id`,
    `path`, `icon`, `component`, `status`
)
VALUES (
           '银行账户更新', 'ecw:bank-account:update', 3, 3, @parentId,
           '', '', '', 0
       );
INSERT INTO `system_menu`(
    `name`, `permission`, `menu_type`, `sort`, `parent_id`,
    `path`, `icon`, `component`, `status`
)
VALUES (
           '银行账户删除', 'ecw:bank-account:delete', 3, 4, @parentId,
           '', '', '', 0
       );
INSERT INTO `system_menu`(
    `name`, `permission`, `menu_type`, `sort`, `parent_id`,
    `path`, `icon`, `component`, `status`
)
VALUES (
           '银行账户导出', 'ecw:bank-account:export', 3, 5, @parentId,
           '', '', '', 0
       );


--区域

-- 菜单 SQL
INSERT INTO `system_menu`(
    `name`, `permission`, `menu_type`, `sort`, `parent_id`,
    `path`, `icon`, `component`, `status`
)
VALUES (
           '区域设置管理', '', 2, 0, 1244,
           'region', '', 'ecw/region/index', 0
       );

-- 按钮父菜单ID
SELECT @parentId := LAST_INSERT_ID();

-- 按钮 SQL
INSERT INTO `system_menu`(
    `name`, `permission`, `menu_type`, `sort`, `parent_id`,
    `path`, `icon`, `component`, `status`
)
VALUES (
           '区域设置查询', 'ecw:region:query', 3, 1, @parentId,
           '', '', '', 0
       );
INSERT INTO `system_menu`(
    `name`, `permission`, `menu_type`, `sort`, `parent_id`,
    `path`, `icon`, `component`, `status`
)
VALUES (
           '区域设置创建', 'ecw:region:create', 3, 2, @parentId,
           '', '', '', 0
       );
INSERT INTO `system_menu`(
    `name`, `permission`, `menu_type`, `sort`, `parent_id`,
    `path`, `icon`, `component`, `status`
)
VALUES (
           '区域设置更新', 'ecw:region:update', 3, 3, @parentId,
           '', '', '', 0
       );
INSERT INTO `system_menu`(
    `name`, `permission`, `menu_type`, `sort`, `parent_id`,
    `path`, `icon`, `component`, `status`
)
VALUES (
           '区域设置删除', 'ecw:region:delete', 3, 4, @parentId,
           '', '', '', 0
       );
INSERT INTO `system_menu`(
    `name`, `permission`, `menu_type`, `sort`, `parent_id`,
    `path`, `icon`, `component`, `status`
)
VALUES (
           '区域设置导出', 'ecw:region:export', 3, 5, @parentId,
           '', '', '', 0
       );




-- 菜单 SQL
INSERT INTO `system_menu`(
    `name`, `permission`, `menu_type`, `sort`, `parent_id`,
    `path`, `icon`, `component`, `status`
)
VALUES (
           '重泡货配置管理', '', 2, 0, 1244,
           'zhong-pao', '', 'ecw/zhongPao/index', 0
       );

-- 按钮父菜单ID
SELECT @parentId := LAST_INSERT_ID();

-- 按钮 SQL
INSERT INTO `system_menu`(
    `name`, `permission`, `menu_type`, `sort`, `parent_id`,
    `path`, `icon`, `component`, `status`
)
VALUES (
           '重泡货配置查询', 'ecw:zhong-pao:query', 3, 1, @parentId,
           '', '', '', 0
       );
INSERT INTO `system_menu`(
    `name`, `permission`, `menu_type`, `sort`, `parent_id`,
    `path`, `icon`, `component`, `status`
)
VALUES (
           '重泡货配置创建', 'ecw:zhong-pao:create', 3, 2, @parentId,
           '', '', '', 0
       );
INSERT INTO `system_menu`(
    `name`, `permission`, `menu_type`, `sort`, `parent_id`,
    `path`, `icon`, `component`, `status`
)
VALUES (
           '重泡货配置更新', 'ecw:zhong-pao:update', 3, 3, @parentId,
           '', '', '', 0
       );
INSERT INTO `system_menu`(
    `name`, `permission`, `menu_type`, `sort`, `parent_id`,
    `path`, `icon`, `component`, `status`
)
VALUES (
           '重泡货配置删除', 'ecw:zhong-pao:delete', 3, 4, @parentId,
           '', '', '', 0
       );
INSERT INTO `system_menu`(
    `name`, `permission`, `menu_type`, `sort`, `parent_id`,
    `path`, `icon`, `component`, `status`
)
VALUES (
           '重泡货配置导出', 'ecw:zhong-pao:export', 3, 5, @parentId,
           '', '', '', 0
       );






-- 菜单 SQL
INSERT INTO `system_menu`(
    `name`, `permission`, `menu_type`, `sort`, `parent_id`,
    `path`, `icon`, `component`, `status`
)
VALUES (
           '单号配置管理', '', 2, 0, 1244,
           'order-code', '', 'ecw/orderCode/index', 0
       );

-- 按钮父菜单ID
SELECT @parentId := LAST_INSERT_ID();

-- 按钮 SQL
INSERT INTO `system_menu`(
    `name`, `permission`, `menu_type`, `sort`, `parent_id`,
    `path`, `icon`, `component`, `status`
)
VALUES (
           '单号配置查询', 'ecw:order-code:query', 3, 1, @parentId,
           '', '', '', 0
       );
INSERT INTO `system_menu`(
    `name`, `permission`, `menu_type`, `sort`, `parent_id`,
    `path`, `icon`, `component`, `status`
)
VALUES (
           '单号配置创建', 'ecw:order-code:create', 3, 2, @parentId,
           '', '', '', 0
       );
INSERT INTO `system_menu`(
    `name`, `permission`, `menu_type`, `sort`, `parent_id`,
    `path`, `icon`, `component`, `status`
)
VALUES (
           '单号配置更新', 'ecw:order-code:update', 3, 3, @parentId,
           '', '', '', 0
       );
INSERT INTO `system_menu`(
    `name`, `permission`, `menu_type`, `sort`, `parent_id`,
    `path`, `icon`, `component`, `status`
)
VALUES (
           '单号配置删除', 'ecw:order-code:delete', 3, 4, @parentId,
           '', '', '', 0
       );
INSERT INTO `system_menu`(
    `name`, `permission`, `menu_type`, `sort`, `parent_id`,
    `path`, `icon`, `component`, `status`
)
VALUES (
           '单号配置导出', 'ecw:order-code:export', 3, 5, @parentId,
           '', '', '', 0
       );








-- 菜单 SQL
INSERT INTO `system_menu`(
    `name`, `permission`, `menu_type`, `sort`, `parent_id`,
    `path`, `icon`, `component`, `status`
)
VALUES (
           '柜型配置管理', '', 2, 0, 1244,
           'cabinet', '', 'ecw/cabinet/index', 0
       );

-- 按钮父菜单ID
SELECT @parentId := LAST_INSERT_ID();

-- 按钮 SQL
INSERT INTO `system_menu`(
    `name`, `permission`, `menu_type`, `sort`, `parent_id`,
    `path`, `icon`, `component`, `status`
)
VALUES (
           '柜型配置查询', 'ecw:cabinet:query', 3, 1, @parentId,
           '', '', '', 0
       );
INSERT INTO `system_menu`(
    `name`, `permission`, `menu_type`, `sort`, `parent_id`,
    `path`, `icon`, `component`, `status`
)
VALUES (
           '柜型配置创建', 'ecw:cabinet:create', 3, 2, @parentId,
           '', '', '', 0
       );
INSERT INTO `system_menu`(
    `name`, `permission`, `menu_type`, `sort`, `parent_id`,
    `path`, `icon`, `component`, `status`
)
VALUES (
           '柜型配置更新', 'ecw:cabinet:update', 3, 3, @parentId,
           '', '', '', 0
       );
INSERT INTO `system_menu`(
    `name`, `permission`, `menu_type`, `sort`, `parent_id`,
    `path`, `icon`, `component`, `status`
)
VALUES (
           '柜型配置删除', 'ecw:cabinet:delete', 3, 4, @parentId,
           '', '', '', 0
       );
INSERT INTO `system_menu`(
    `name`, `permission`, `menu_type`, `sort`, `parent_id`,
    `path`, `icon`, `component`, `status`
)
VALUES (
           '柜型配置导出', 'ecw:cabinet:export', 3, 5, @parentId,
           '', '', '', 0
       );


-- 菜单 SQL
INSERT INTO `system_menu`(
    `name`, `permission`, `menu_type`, `sort`, `parent_id`,
    `path`, `icon`, `component`, `status`
)
VALUES (
           'E-Cash汇率单位管理', '', 2, 0, ${table.parentMenuId},
           'currency-ecash', '', 'ecw/currencyEcash/index', 0
       );

-- 按钮父菜单ID
SELECT @parentId := LAST_INSERT_ID();

-- 按钮 SQL
INSERT INTO `system_menu`(
    `name`, `permission`, `menu_type`, `sort`, `parent_id`,
    `path`, `icon`, `component`, `status`
)
VALUES (
           'E-Cash汇率单位查询', 'ecw:currency-ecash:query', 3, 1, @parentId,
           '', '', '', 0
       );
INSERT INTO `system_menu`(
    `name`, `permission`, `menu_type`, `sort`, `parent_id`,
    `path`, `icon`, `component`, `status`
)
VALUES (
           'E-Cash汇率单位创建', 'ecw:currency-ecash:create', 3, 2, @parentId,
           '', '', '', 0
       );
INSERT INTO `system_menu`(
    `name`, `permission`, `menu_type`, `sort`, `parent_id`,
    `path`, `icon`, `component`, `status`
)
VALUES (
           'E-Cash汇率单位更新', 'ecw:currency-ecash:update', 3, 3, @parentId,
           '', '', '', 0
       );
INSERT INTO `system_menu`(
    `name`, `permission`, `menu_type`, `sort`, `parent_id`,
    `path`, `icon`, `component`, `status`
)
VALUES (
           'E-Cash汇率单位删除', 'ecw:currency-ecash:delete', 3, 4, @parentId,
           '', '', '', 0
       );
INSERT INTO `system_menu`(
    `name`, `permission`, `menu_type`, `sort`, `parent_id`,
    `path`, `icon`, `component`, `status`
)
VALUES (
           'E-Cash汇率单位导出', 'ecw:currency-ecash:export', 3, 5, @parentId,
           '', '', '', 0
       );



-- 菜单 SQL
INSERT INTO `system_menu`(
    `name`, `permission`, `menu_type`, `sort`, `parent_id`,
    `path`, `icon`, `component`, `status`
)
VALUES (
           '业务密码管理', '', 2, 0, 1244,
           'busi-pwd', '', 'ecw/busiPwd/index', 0
       );

-- 按钮父菜单ID
SELECT @parentId := LAST_INSERT_ID();

-- 按钮 SQL
INSERT INTO `system_menu`(
    `name`, `permission`, `menu_type`, `sort`, `parent_id`,
    `path`, `icon`, `component`, `status`
)
VALUES (
           '业务密码查询', 'ecw:busi-pwd:query', 3, 1, @parentId,
           '', '', '', 0
       );
INSERT INTO `system_menu`(
    `name`, `permission`, `menu_type`, `sort`, `parent_id`,
    `path`, `icon`, `component`, `status`
)
VALUES (
           '业务密码创建', 'ecw:busi-pwd:create', 3, 2, @parentId,
           '', '', '', 0
       );
INSERT INTO `system_menu`(
    `name`, `permission`, `menu_type`, `sort`, `parent_id`,
    `path`, `icon`, `component`, `status`
)
VALUES (
           '业务密码更新', 'ecw:busi-pwd:update', 3, 3, @parentId,
           '', '', '', 0
       );
INSERT INTO `system_menu`(
    `name`, `permission`, `menu_type`, `sort`, `parent_id`,
    `path`, `icon`, `component`, `status`
)
VALUES (
           '业务密码删除', 'ecw:busi-pwd:delete', 3, 4, @parentId,
           '', '', '', 0
       );
INSERT INTO `system_menu`(
    `name`, `permission`, `menu_type`, `sort`, `parent_id`,
    `path`, `icon`, `component`, `status`
)
VALUES (
           '业务密码导出', 'ecw:busi-pwd:export', 3, 5, @parentId,
           '', '', '', 0
       );



-- 菜单 SQL
INSERT INTO `system_menu`(
    `name`, `permission`, `menu_type`, `sort`, `parent_id`,
    `path`, `icon`, `component`, `status`
)
VALUES (
           '品牌管理', '', 2, 0, 1360,
           'product-brank', '', 'ecw/productBrank/index', 0
       );

-- 按钮父菜单ID
SELECT @parentId := LAST_INSERT_ID();

-- 按钮 SQL
INSERT INTO `system_menu`(
    `name`, `permission`, `menu_type`, `sort`, `parent_id`,
    `path`, `icon`, `component`, `status`
)
VALUES (
           '品牌查询', 'ecw:product-brank:query', 3, 1, @parentId,
           '', '', '', 0
       );
INSERT INTO `system_menu`(
    `name`, `permission`, `menu_type`, `sort`, `parent_id`,
    `path`, `icon`, `component`, `status`
)
VALUES (
           '品牌创建', 'ecw:product-brank:create', 3, 2, @parentId,
           '', '', '', 0
       );
INSERT INTO `system_menu`(
    `name`, `permission`, `menu_type`, `sort`, `parent_id`,
    `path`, `icon`, `component`, `status`
)
VALUES (
           '品牌更新', 'ecw:product-brank:update', 3, 3, @parentId,
           '', '', '', 0
       );
INSERT INTO `system_menu`(
    `name`, `permission`, `menu_type`, `sort`, `parent_id`,
    `path`, `icon`, `component`, `status`
)
VALUES (
           '品牌删除', 'ecw:product-brank:delete', 3, 4, @parentId,
           '', '', '', 0
       );
INSERT INTO `system_menu`(
    `name`, `permission`, `menu_type`, `sort`, `parent_id`,
    `path`, `icon`, `component`, `status`
)
VALUES (
           '品牌导出', 'ecw:product-brank:export', 3, 5, @parentId,
           '', '', '', 0
       );


-- 菜单 SQL
INSERT INTO `system_menu`(
    `name`, `permission`, `menu_type`, `sort`, `parent_id`,
    `path`, `icon`, `component`, `status`
)
VALUES (
           '商品品牌授权管理', '', 2, 0, 1360,
           'product-brand-empower', '', 'ecw/productBrandEmpower/index', 0
       );

-- 按钮父菜单ID
SELECT @parentId := LAST_INSERT_ID();

-- 按钮 SQL
INSERT INTO `system_menu`(
    `name`, `permission`, `menu_type`, `sort`, `parent_id`,
    `path`, `icon`, `component`, `status`
)
VALUES (
           '商品品牌授权查询', 'ecw:product-brand-empower:query', 3, 1, @parentId,
           '', '', '', 0
       );
INSERT INTO `system_menu`(
    `name`, `permission`, `menu_type`, `sort`, `parent_id`,
    `path`, `icon`, `component`, `status`
)
VALUES (
           '商品品牌授权创建', 'ecw:product-brand-empower:create', 3, 2, @parentId,
           '', '', '', 0
       );
INSERT INTO `system_menu`(
    `name`, `permission`, `menu_type`, `sort`, `parent_id`,
    `path`, `icon`, `component`, `status`
)
VALUES (
           '商品品牌授权更新', 'ecw:product-brand-empower:update', 3, 3, @parentId,
           '', '', '', 0
       );
INSERT INTO `system_menu`(
    `name`, `permission`, `menu_type`, `sort`, `parent_id`,
    `path`, `icon`, `component`, `status`
)
VALUES (
           '商品品牌授权删除', 'ecw:product-brand-empower:delete', 3, 4, @parentId,
           '', '', '', 0
       );
INSERT INTO `system_menu`(
    `name`, `permission`, `menu_type`, `sort`, `parent_id`,
    `path`, `icon`, `component`, `status`
)
VALUES (
           '商品品牌授权导出', 'ecw:product-brand-empower:export', 3, 5, @parentId,
           '', '', '', 0
       );


