package cn.iocoder.yudao.module.ecw.controller.admin.currency.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.math.BigDecimal;
import java.util.Date;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@ApiModel(value = "管理后台 - 货币单位 Excel 导出 Request VO", description = "参数和 CurrencyPageReqVO 是一致的")
@Data
public class CurrencyExportReqVO {

    @ApiModelProperty(value = "中文名称")
    private String titleZh;

    @ApiModelProperty(value = "英文名称")
    private String titleEn;

    @ApiModelProperty(value = "货币符号")
    private BigDecimal fuhao;

    @ApiModelProperty(value = "状态")
    private Integer status;

 /*   @ApiModelProperty(value = "100外币兑人民币汇率 ")
    private Double huilv;

    @ApiModelProperty(value = "100人民币兑外币汇率 ")
    private Double exchangeToFc;*/

    @ApiModelProperty(value = "排序")
    private Integer aorder;

  /*  @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "")
    private Date createTime;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "")
    private Date updateTime;
    @ApiModelProperty(value = "是否删除")
    private Boolean deleted;

    @ApiModelProperty(value = "创建者")
    private String creator;

    @ApiModelProperty(value = "最后修改者")
    private String updater;*/
}
