package cn.iocoder.yudao.module.ecw.controller.admin.dock.vo;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;

import com.alibaba.excel.annotation.ExcelProperty;

/**
 * 码头信息 Excel VO
 *
 * @author wlh
 */
@Data
public class DockExcelVO {

    @ExcelProperty("主键")
    private Long id;

    @ExcelProperty("中文名称")
    private String titleZh;

    @ExcelProperty("英文名称")
    private String titleEn;

    @ExcelProperty("排序")
    private Integer sort;

    @ExcelProperty("数据来源(pc端，mobile端)")
    private String source;

    @ExcelProperty("国家id")
    private Long countryId;

    @ExcelProperty("国家中文名称")
    private String countryZh;

    @ExcelProperty("国家英文名称")
    private String countryEn;

    @ExcelProperty("省id")
    private Long provinceId;

    @ExcelProperty("省中文名称")
    private String provinceZh;

    @ExcelProperty("省英文名称")
    private String provinceEn;

    @ExcelProperty("市id")
    private Long cityId;

    @ExcelProperty("市中文名称")
    private String cityZh;

    @ExcelProperty("市英文名称")
    private String cityEn;

    @ExcelProperty("港口类型")
    private String portType;

    @ExcelProperty("码头编号")
    private String number;

    @ExcelProperty("码头类型")
    private String type;

    @ApiModelProperty(value = "是否显示，默认显示", required = true)
    private Integer status;

    @ExcelProperty("创建时间")
    private Date createTime;

}
