package cn.iocoder.yudao.module.ecw.controller.admin.enterprise.vo;

import lombok.*;
import java.util.*;

import com.alibaba.excel.annotation.ExcelProperty;

/**
 * 企业设置 Excel VO
 *
 * @author 系统管理员
 */
@Data
public class EnterpriseExcelVO {

    @ExcelProperty("中文LOGO")
    private String logoZh;

    @ExcelProperty("英文LOGO")
    private String logoEn;

    @ExcelProperty("标题中文")
    private String titleZh;

    @ExcelProperty("标题英文")
    private String titleEn;

    @ExcelProperty("关键字中文")
    private String keywordZh;

    @ExcelProperty("关键字英文")
    private String keywordEn;

    @ExcelProperty("描述中文")
    private String describeZh;

    @ExcelProperty("描述英文")
    private String describeEn;

    @ExcelProperty("地址中文")
    private String addressZh;

    @ExcelProperty("地址英文")
    private String addressEn;

    @ExcelProperty("免费咨询中文")
    private String freeConsultationZh;

    @ExcelProperty("免费咨询英文")
    private String freeConsultationEn;

    @ExcelProperty("客服电话中文")
    private String customerTelZh;

    @ExcelProperty("客服电话英文")
    private String customerTelEn;

    @ExcelProperty("联系电话中文")
    private String contactTelZh;

    @ExcelProperty("联系电话英文")
    private String contactTelEn;

    @ExcelProperty("邮箱中文")
    private String mailboxZh;

    @ExcelProperty("邮箱英文")
    private String mailboxEn;

    @ExcelProperty("版权信息中文")
    private String copyrightInfoZh;

    @ExcelProperty("版权信息英文")
    private String copyrightInfoEn;

    @ExcelProperty("企业微信中文")
    private String enterpriseWechatZh;

    @ExcelProperty("企业微信英文")
    private String enterpriseWechatEn;

    @ExcelProperty("创建时间")
    private Date createTime;

}
