package cn.iocoder.yudao.module.ecw.controller.admin.express.vo;

import lombok.*;
import io.swagger.annotations.*;
import javax.validation.constraints.*;

/**
* 配送管理 Base VO，提供给添加、修改、详细的子 VO 使用
* 如果子 VO 存在差异的字段，请不要添加到这里，影响 Swagger 文档生成
*/
@Data
public class ExpressBaseVO {

    @ApiModelProperty(value = "快递公司名称", required = true)
    @NotNull(message = "快递公司名称不能为空")
    private String companyName;

    @ApiModelProperty(value = "账户名称")
    private String accountName;

    @ApiModelProperty(value = "查件key")
    private String queryKey;

    @ApiModelProperty(value = "查询url")
    private String queryUrl;

}
