package cn.iocoder.yudao.module.ecw.controller.admin.express.vo;

import lombok.*;
import java.util.*;

import com.alibaba.excel.annotation.ExcelProperty;

/**
 * 配送管理 Excel VO
 *
 * @author yanghao
 */
@Data
public class ExpressExcelVO {

    @ExcelProperty("主键")
    private Long id;

    @ExcelProperty("快递公司名称")
    private String companyName;

    @ExcelProperty("账户名称")
    private String accountName;

    @ExcelProperty("查件key")
    private String queryKey;

    @ExcelProperty("查询url")
    private String queryUrl;

    @ExcelProperty("创建时间")
    private Date createTime;

}
