package cn.iocoder.yudao.module.ecw.controller.admin.ladingTemplate.vo;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import javax.validation.constraints.*;

/**
* 提单模板 Base VO，提供给添加、修改、详细的子 VO 使用
* 如果子 VO 存在差异的字段，请不要添加到这里，影响 Swagger 文档生成
*/
@Data
public class LadingTemplateBaseVO {

    @ApiModelProperty(value = "货柜前缀")
    private String prefixCounter;

    @ApiModelProperty(value = "账户详情")
    private String account;

    @ApiModelProperty(value = "抬头中文")
    private String titleZh;

    @ApiModelProperty(value = "抬头英文")
    private String titleEn;

    @ApiModelProperty(value = "条款中文")
    private String contentZh;

    @ApiModelProperty(value = "条款英语")
    private String contentEn;

    @ApiModelProperty(value = "0-启用,1-停用")
    private Integer status;

    @ApiModelProperty(value = "路线ID")
    private String lineId;

}
