package cn.iocoder.yudao.module.ecw.controller.admin.messageLeave.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import javax.validation.constraints.NotNull;

@ApiModel("管理后台 - 留言更新 Request VO")
@Data
@EqualsAndHashCode
@ToString
public class MessageLeaveReplyReqVO {

    @ApiModelProperty(value = "主键", required = true)
    @NotNull(message = "主键不能为空")
    private Long id;

    @ApiModelProperty(value = "回复人")
    private Long replyUserId;

    @ApiModelProperty(value = "回复内容")
    private String replyContent;

}
