package cn.iocoder.yudao.module.ecw.controller.admin.node.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import java.util.*;

import com.alibaba.excel.annotation.ExcelProperty;

/**
 * 服务网点 Excel VO
 *
 * @author wlh
 */
@Data
public class NodeExcelVO {

    @ExcelProperty("")
    private Long id;

    @ExcelProperty("站点编号")
    private String number;

    @ExcelProperty("洲")
    private Long zhou;

    @ExcelProperty("国家")
    private Long guojia;

    @ExcelProperty("省")
    private Long sheng;

    @ExcelProperty("市")
    private Long shi;

    @ExcelProperty("中文标题")
    private String titleZh;

    @ExcelProperty("英文标题")
    private String titleEn;

    @ExcelProperty("图片地址")
    private String img;

    @ExcelProperty("中文副标题")
    private String titlesZh;

    @ExcelProperty("英文副标题")
    private String titlesEn;

    @ExcelProperty("中文关键词")
    private String keywordsZh;

    @ExcelProperty("英文关键词")
    private String keywordsEn;

    @ExcelProperty("中文描述信息")
    private String descriptionZh;

    @ExcelProperty("英文描述信息")
    private String descriptionEn;

    @ExcelProperty("中文网点详情")
    private String contentZh;

    @ExcelProperty("英文网点详情")
    private String contentEn;

    @ExcelProperty("中文网点地址")
    private String addressZh;

    @ExcelProperty("英文网点地址")
    private String addressEn;

    @ExcelProperty("region_trade_type，0进出口；1只进口；2只出口")
    private String tradeType;

    @ExcelProperty("运输方式id，多个用逗号隔开")
    private String freight;

    @ExcelProperty("上班时间")
    private String worktime;

    @ExcelProperty("负责人的用户id")
    private Long adminId;

    @ExcelProperty("负责人的姓名")
    private String adminName;

    @ExcelProperty("排序")
    private Integer aorder;

    @ExcelProperty("是否展示 默认显示")
    private Integer status;

    @ExcelProperty("创建时间")
    private Date createTime;

}
