package cn.iocoder.yudao.module.ecw.controller.admin.orderCode.vo;

import lombok.*;
import io.swagger.annotations.*;
import javax.validation.constraints.*;

/**
* 单号配置 Base VO，提供给添加、修改、详细的子 VO 使用
* 如果子 VO 存在差异的字段，请不要添加到这里，影响 Swagger 文档生成
*/
@Data
public class OrderCodeBaseVO {

    @ApiModelProperty(value = "标题", required = true)
    @NotNull(message = "标题不能为空")
    private String title;

    @ApiModelProperty(value = "起始编号", required = true)
    @NotNull(message = "起始编号不能为空")
    private Long startCode;

    @ApiModelProperty(value = "结束编号")
    private Long endCode;

}
