package cn.iocoder.yudao.module.ecw.controller.admin.region.vo;

import lombok.*;
import java.util.*;

import com.alibaba.excel.annotation.ExcelProperty;

/**
 * 区域设置 Excel VO
 *
 * @author 江楠
 */
@Data
public class RegionExcelVO {

    @ExcelProperty("区域id")
    private Long id;

    @ExcelProperty("区域名称")
    private String titleZh;

    @ExcelProperty("地区英文")
    private String titleEn;

    @ExcelProperty("简称")
    private String shortName;

    @ExcelProperty("语言")
    private String language;

    @ExcelProperty("类型")
    private String type;

    @ExcelProperty("父区域id")
    private Long parentId;

    @ExcelProperty("显示顺序")
    private Integer sort;

    @ExcelProperty("区域状态（0正常 1停用）")
    private Integer status;

    @ExcelProperty("创建时间")
    private Date createTime;

}
