package cn.iocoder.yudao.module.ecw.controller.admin.region.vo;

import lombok.*;
import io.swagger.annotations.*;
import javax.validation.constraints.*;

@ApiModel("管理后台 - 区域设置更新 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class RegionUpdateReqVO extends RegionBaseVO {

    @ApiModelProperty(value = "区域id", required = true)
    @NotNull(message = "区域id不能为空")
    private Long id;

    @ApiModelProperty(value = "区域状态（0正常 1停用）", required = true)
    @NotNull(message = "区域状态（0正常 1停用）不能为空")
    private Integer status;

}
