package cn.iocoder.yudao.module.ecw.controller.admin.region.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@ApiModel("管理后台 - 区域列表查询入参 Request VO")
@Data
public class TradeRegionListReqVO {


    @ApiModelProperty(value = "进出口类型，0是非进出口 1是进口，2是出口 3是进出口", example = "1", notes = "参见 字典region_trade_type,1是进口城市，目的城市，2是出口城市，始发城市")
    private String type;

    @ApiModelProperty(value = "渠道id")
    private Long channelId;

    @ApiModelProperty(value = "目的地国家id")
    private Long destCountryId;

}
