package cn.iocoder.yudao.module.ecw.controller.admin.supplier.vo;

import cn.iocoder.yudao.module.ecw.controller.admin.supplier.vo.supplierExternal.SupplierExternalCreateReqVO;
import cn.iocoder.yudao.module.ecw.controller.admin.supplier.vo.supplierResource.SupplierResourceCreateReqVO;
import lombok.*;
import io.swagger.annotations.*;

@ApiModel("管理后台 - 供应商创建 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class SupplierCreateReqVO extends SupplierBaseVO {

    @ApiModelProperty(value = "国内供应商优势资源信息")
    private SupplierResourceCreateReqVO resourceVO;

    @ApiModelProperty(value = "国外供应商额外信息")
    private SupplierExternalCreateReqVO  externalVO;
}
