package cn.iocoder.yudao.module.ecw.controller.admin.supplier.vo;

import cn.iocoder.yudao.module.ecw.controller.admin.supplier.vo.supplierExternal.SupplierExternalBackVO;
import cn.iocoder.yudao.module.ecw.controller.admin.supplier.vo.supplierResource.SupplierResourceBackVO;
import lombok.*;
import java.util.*;
import io.swagger.annotations.*;

@ApiModel("管理后台 - 供应商 Response VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class SupplierRespVO extends SupplierBaseVO {

    @ApiModelProperty(value = "", required = true)
    private Long id;

    @ApiModelProperty(value = "创建时间", required = true)
    private Date createTime;

    @ApiModelProperty(value = "国内供应商资源信息")
    private SupplierResourceBackVO resourceBackVO;

    @ApiModelProperty(value = "国外供应商额外信息")
    private SupplierExternalBackVO externalBackVO;

}
