package cn.iocoder.yudao.module.ecw.controller.admin.unit.vo;

import lombok.*;
import io.swagger.annotations.*;

/**
* 计量单位 Base VO，提供给添加、修改、详细的子 VO 使用
* 如果子 VO 存在差异的字段，请不要添加到这里，影响 Swagger 文档生成
*/
@Data
public class UnitBaseVO {

    @ApiModelProperty(value = "中文名称")
    private String titleZh;

    @ApiModelProperty(value = "英文名称")
    private String titleEn;

    @ApiModelProperty(value = "单位符号")
    private String fuhao;

    @ApiModelProperty(value = "0显示 1不显示")
    private Integer status;

    @ApiModelProperty(value = "排序")
    private Integer aorder;

}
