package cn.iocoder.yudao.module.ecw.controller.admin.unit.vo;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import org.springframework.format.annotation.DateTimeFormat;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@ApiModel(value = "管理后台 - 计量单位 Excel 导出 Request VO", description = "参数和 UnitPageReqVO 是一致的")
@Data
public class UnitExportReqVO {

    @ApiModelProperty(value = "中文名称")
    private String titleZh;

    @ApiModelProperty(value = "英文名称")
    private String titleEn;

    @ApiModelProperty(value = "单位符号")
    private String fuhao;

    @ApiModelProperty(value = "0显示 1不显示")
    private Integer status;

    @ApiModelProperty(value = "排序")
    private Integer aorder;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "开始")
    private Date beginCreateTime;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "结束")
    private Date endCreateTime;

}
