package cn.iocoder.yudao.module.ecw.convert.clearanceFileNo;

import java.util.*;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.ecw.dal.dataobject.clearanceFileNo.ClearanceFileNoDO;
import cn.iocoder.yudao.module.ecw.vo.clearanceFileNo.ClearanceFileNoBackVO;
import cn.iocoder.yudao.module.ecw.vo.clearanceFileNo.ClearanceFileNoCreateReqVO;
import cn.iocoder.yudao.module.ecw.vo.clearanceFileNo.ClearanceFileNoUpdateReqVO;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

/**
 * 清关文件号码 Convert
 * @author wlh
 */
@Mapper
public interface ClearanceFileNoConvert {
    /*****转换MapStruct*****/
    ClearanceFileNoConvert INSTANCE = Mappers.getMapper(ClearanceFileNoConvert.class);

    /***
     * 创建VO转实体
     * @param bean
     * @return
     */
    ClearanceFileNoDO convert(ClearanceFileNoCreateReqVO bean);

    /***
     * 修改VO转实体
     * @param bean
     * @return
     */
    ClearanceFileNoDO convert(ClearanceFileNoUpdateReqVO bean);

    /***
     * 实体转返回VO
     * @param bean
     * @return
    */
    ClearanceFileNoBackVO convert(ClearanceFileNoDO bean);

    /***
     * 实体列表转返回VO列表
     * @param list
     * @return
     */
    List<ClearanceFileNoBackVO> convertList(List<ClearanceFileNoDO> list);

    /***
     * 实体分页转返回分页
     * @param page
     * @return
     */
    PageResult<ClearanceFileNoBackVO> convertPage(PageResult<ClearanceFileNoDO> page);
}
