package cn.iocoder.yudao.module.ecw.convert.currency;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.ecw.api.currency.dto.CurrencyRespDTO;
import cn.iocoder.yudao.module.ecw.controller.admin.currency.vo.*;
import cn.iocoder.yudao.module.ecw.dal.dataobject.currency.CurrencyDO;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

import java.util.List;

/**
 * 货币单位 Convert
 *
 * @author brian
 */
@Mapper
public interface CurrencyConvert {

    CurrencyConvert INSTANCE = Mappers.getMapper(CurrencyConvert.class);

    CurrencyDO convert(CurrencyCreateReqVO bean);

    CurrencyDO convert(CurrencyUpdateReqVO bean);

    CurrencyDO convert(CurrencyUpdateStatusReqVO bean);

    CurrencyRespVO convert(CurrencyDO bean);

    List<CurrencyRespVO> convertList(List<CurrencyDO> list);

    PageResult<CurrencyRespVO> convertPage(PageResult<CurrencyDO> page);

    List<CurrencyExcelVO> convertList02(List<CurrencyDO> list);


    CurrencyRespDTO convert2(CurrencyDO bean);

}
