package cn.iocoder.yudao.module.ecw.convert.dock;

import java.util.*;

import cn.iocoder.yudao.framework.common.pojo.PageResult;

import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;
import cn.iocoder.yudao.module.ecw.controller.admin.dock.vo.*;
import cn.iocoder.yudao.module.ecw.dal.dataobject.dock.DockDO;

/**
 * 码头信息 Convert
 *
 * @author wlh
 */
@Mapper
public interface DockConvert {

    DockConvert INSTANCE = Mappers.getMapper(DockConvert.class);

    DockDO convert(DockCreateReqVO bean);

    DockDO convert(DockUpdateReqVO bean);

    DockRespVO convert(DockDO bean);

    List<DockRespVO> convertList(List<DockDO> list);

    PageResult<DockRespVO> convertPage(PageResult<DockDO> page);

    List<DockExcelVO> convertList02(List<DockDO> list);

}
