package cn.iocoder.yudao.module.ecw.convert.express;

import java.util.*;

import cn.iocoder.yudao.framework.common.pojo.PageResult;

import cn.iocoder.yudao.module.ecw.api.express.dto.ExpressRespDTO;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;
import cn.iocoder.yudao.module.ecw.controller.admin.express.vo.*;
import cn.iocoder.yudao.module.ecw.dal.dataobject.express.ExpressDO;

/**
 * 配送管理 Convert
 *
 * @author yanghao
 */
@Mapper
public interface ExpressConvert {

    ExpressConvert INSTANCE = Mappers.getMapper(ExpressConvert.class);

    ExpressDO convert(ExpressCreateReqVO bean);

    ExpressDO convert(ExpressUpdateReqVO bean);

    ExpressRespVO convert(ExpressDO bean);

    List<ExpressRespVO> convertList(List<ExpressDO> list);

    PageResult<ExpressRespVO> convertPage(PageResult<ExpressDO> page);

    List<ExpressExcelVO> convertList02(List<ExpressDO> list);

    List<ExpressRespDTO> convert2DTO(List<ExpressDO> list);
}
