package cn.iocoder.yudao.module.ecw.convert.orderCode;

import java.util.*;

import cn.iocoder.yudao.framework.common.pojo.PageResult;

import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;
import cn.iocoder.yudao.module.ecw.controller.admin.orderCode.vo.*;
import cn.iocoder.yudao.module.ecw.dal.dataobject.orderCode.OrderCodeDO;

/**
 * 单号配置 Convert
 *
 * @author yanghao
 */
@Mapper
public interface OrderCodeConvert {

    OrderCodeConvert INSTANCE = Mappers.getMapper(OrderCodeConvert.class);

    OrderCodeDO convert(OrderCodeCreateReqVO bean);

    OrderCodeDO convert(OrderCodeUpdateReqVO bean);

    OrderCodeRespVO convert(OrderCodeDO bean);

    List<OrderCodeRespVO> convertList(List<OrderCodeDO> list);

    PageResult<OrderCodeRespVO> convertPage(PageResult<OrderCodeDO> page);

    List<OrderCodeExcelVO> convertList02(List<OrderCodeDO> list);

}
