package cn.iocoder.yudao.module.ecw.convert.pickupLoc;

import java.util.*;

import cn.iocoder.yudao.framework.common.pojo.PageResult;

import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;
import cn.iocoder.yudao.module.ecw.controller.admin.pickupLoc.vo.*;
import cn.iocoder.yudao.module.ecw.dal.dataobject.pickupLoc.PickupLocDO;

/**
 * 自提点 Convert
 *
 * @author wlh
 */
@Mapper
public interface PickupLocConvert {

    PickupLocConvert INSTANCE = Mappers.getMapper(PickupLocConvert.class);

    PickupLocDO convert(PickupLocCreateReqVO bean);

    PickupLocDO convert(PickupLocUpdateReqVO bean);

    PickupLocRespVO convert(PickupLocDO bean);

    List<PickupLocRespVO> convertList(List<PickupLocDO> list);

    PageResult<PickupLocRespVO> convertPage(PageResult<PickupLocDO> page);

    List<PickupLocExcelVO> convertList02(List<PickupLocDO> list);

}
