package cn.iocoder.yudao.module.ecw.convert.region;

import java.util.*;

import cn.iocoder.yudao.framework.common.pojo.PageResult;

import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;
import cn.iocoder.yudao.module.ecw.controller.admin.region.vo.*;
import cn.iocoder.yudao.module.ecw.dal.dataobject.region.RegionDO;

/**
 * 区域设置 Convert
 *
 * @author 江楠
 */
@Mapper
public interface RegionConvert {

    RegionConvert INSTANCE = Mappers.getMapper(RegionConvert.class);

    RegionDO convert(RegionCreateReqVO bean);

    RegionDO convert(RegionUpdateReqVO bean);
    RegionDO convert(RegionUpdateStatusReqVO bean);

    RegionRespVO convert(RegionDO bean);

    List<RegionRespVO> convertList(List<RegionDO> list);

    PageResult<RegionRespVO> convertPage(PageResult<RegionDO> page);

    List<RegionExcelVO> convertList02(List<RegionDO> list);

}
