package cn.iocoder.yudao.module.ecw.convert.supplier;



import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.ecw.controller.admin.supplier.vo.SupplierBankBaseVO;
import cn.iocoder.yudao.module.ecw.dal.dataobject.supplier.SupplierBankDO;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

import java.util.List;

/**
 * 供应商银行账户 Convert
 *
 * @author wlh
 */
@Mapper
public interface SupplierBankConvert {

    SupplierBankConvert INSTANCE = Mappers.getMapper(SupplierBankConvert.class);

    SupplierBankDO convert(SupplierBankBaseVO bean);

    SupplierBankBaseVO convert(SupplierBankDO bean);

    List<SupplierBankBaseVO> convertList(List<SupplierBankDO> list);

    PageResult<SupplierBankBaseVO> convertPage(PageResult<SupplierBankDO> page);


}
