package cn.iocoder.yudao.module.ecw.dal.dataobject.adminClientType;

import lombok.*;
import java.util.*;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 我的客户分组 DO
 *
 * @author 系统管理员
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@TableName("ecw_admin_client_type")
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class AdminClientTypeDO extends BaseDO {

    /**
     * 
     */
    @TableId
    private Integer id;
    /**
     * 用户id
     */
    private Integer uid;
    /**
     * 排序
     */
    private Integer aorder;
    /**
     * 分组名称
     */
    private String title;
    /**
     * 备注信息
     */
    private String beizhu;

}
