package cn.iocoder.yudao.module.ecw.dal.dataobject.adminClienta;

import lombok.*;
import java.util.*;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 我的供应商 DO
 *
 * @author 系统管理员
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@TableName("ecw_admin_clienta")
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class AdminClientaDO extends BaseDO {

    /**
     * 主键ID
     */
    @TableId
    private Long id;
    /**
     * 分组id
     */
    private Long pid;
    /**
     * 用户id
     */
    private Long uid;
    /**
     * 排序
     */
    private Integer aorder;
    /**
     * 供应商名称
     */
    private String name;
    /**
     * 供应商公司名称
     */
    private String company;
    /**
     * 唛头
     */
    private String maitou;
    /**
     * 电话
     */
    private String phone;
    /**
     * 邮箱
     */
    private String email;
    /**
     * 地址
     */
    private String address;

}
