package cn.iocoder.yudao.module.ecw.dal.dataobject.busiPwd;

import lombok.*;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 业务密码 DO
 *
 * @author 系统管理员
 */
@TableName("ecw_busi_pwd")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class BusiPwdDO extends BaseDO {

    /**
     * 主键ID
     */
    @TableId
    private Long id;
    /**
     * 密码类别
     *
     * 枚举 {@link TODO pwd_type 对应的类}
     */
    private String busiType;
    /**
     * 密码
     */
    private String pwd;

}
