package cn.iocoder.yudao.module.ecw.dal.dataobject.clearanceFileNo;

import lombok.*;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 清关文件号码 DO
 *
 * @author wlh
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@TableName("ecw_clearance_file_no")
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class ClearanceFileNoDO extends BaseDO {

    /**
     * 
     */
    @TableId
    private Long id;
    /**
     * 国家
     */
    private Long country;
    /**
     * 地区
     */
    private Long district;
    /**
     * from m no
     */
    private String fromNo;
    /**
     * ba no
     */
    private String baNo;
    /**
     * 是否展示 默认为展示
     */
    private Integer status;

}
