package cn.iocoder.yudao.module.ecw.dal.dataobject.express;

import lombok.*;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 配送管理 DO
 *
 * @author yanghao
 */
@TableName("ecw_express")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class ExpressDO extends BaseDO {

    /**
     * 主键
     */
    @TableId
    private Long id;
    /**
     * 快递公司名称
     */
    private String companyName;
    /**
     * 账户名称
     */
    private String accountName;
    /**
     * 查件key
     */
    private String queryKey;
    /**
     * 查询url
     */
    private String queryUrl;

}
