package cn.iocoder.yudao.module.ecw.dal.dataobject.orderCode;

import lombok.*;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 单号配置 DO
 *
 * @author yanghao
 */
@TableName("ecw_order_code")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class OrderCodeDO extends BaseDO {

    /**
     * 主键
     */
    @TableId
    private Long id;
    /**
     * 标题
     */
    private String title;
    /**
     * 起始编号
     */
    private Long startCode;
    /**
     * 结束编号
     */
    private Long endCode;

}
