package cn.iocoder.yudao.module.ecw.dal.dataobject.setting;

import lombok.*;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 全局配置 DO
 *
 * @author wlh
 */
@TableName("ecw_setting")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class SettingDO extends BaseDO {
    /**
     * 配置键
     */
    private String keyName;
    /**
     * 配置的值
     */
    private String keyValue;

    private String keyType;
    /**
     * 0显示 1不显示
     */
    private Integer status;

}
