package cn.iocoder.yudao.module.ecw.dal.dataobject.unit;

import lombok.*;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 计量单位 DO
 *
 * @author 久点源码
 */
@TableName("ecw_unit")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class UnitDO extends BaseDO {

    /**
     * 
     */
    @TableId
    private Integer id;
    /**
     * 中文名称
     */
    private String titleZh;
    /**
     * 英文名称
     */
    private String titleEn;
    /**
     * 单位符号
     */
    private String fuhao;
    /**
     * 0显示 1不显示
     *
     * 枚举 {@link TODO common_status 对应的类}
     */
    private Integer status;
    /**
     * 排序
     */
    private Integer aorder;

}
