package cn.iocoder.yudao.module.ecw.dal.mysql.supplier;

import cn.iocoder.yudao.framework.mybatis.core.mapper.BaseMapperX;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQueryWrapperX;
import cn.iocoder.yudao.module.ecw.dal.dataobject.supplier.SupplierContactsDO;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * 供应商联系人 Mapper
 *
 * @author wlh
 */
@Mapper
public interface SupplierContactsMapper extends BaseMapperX<SupplierContactsDO> {

    default List<SupplierContactsDO> selectList(Long supplierId) {
        return selectList(new LambdaQueryWrapperX<SupplierContactsDO>()
                .eqIfPresent(SupplierContactsDO::getSupplierId, supplierId)
                .orderByDesc(SupplierContactsDO::getId));
    }

}
