package cn.iocoder.yudao.module.ecw.service.api;

import cn.iocoder.yudao.module.ecw.api.internalMessage.ClientInternalMessageApi;
import cn.iocoder.yudao.module.ecw.api.internalMessage.InternalMessageApi;
import cn.iocoder.yudao.module.ecw.api.internalMessage.dto.InternalMessageCreateDto;
import cn.iocoder.yudao.module.ecw.convert.internalMessage.InternalMessageConvert;
import cn.iocoder.yudao.module.ecw.service.internalMessage.InternalMessageService;
import cn.iocoder.yudao.module.ecw.service.internalMessage.WebInternalMessageService;
import cn.iocoder.yudao.module.ecw.vo.internalMessage.InternalMessageCreateReqVO;
import org.springframework.stereotype.Service;
import org.springframework.validation.annotation.Validated;

import javax.annotation.Resource;

@Service
@Validated
public class ClientInternalMessageApiImpl implements ClientInternalMessageApi {

    @Resource
    private WebInternalMessageService internalMessageService;

    @Override
    public Long createInternalMessage(InternalMessageCreateDto internalMessageCreateDto) {
        InternalMessageCreateReqVO reqVO = InternalMessageConvert.INSTANCE.convert(internalMessageCreateDto);
        return internalMessageService.createInternalMessage(reqVO);
    }
}
