package cn.iocoder.yudao.module.ecw.vo.adminClienta;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import javax.validation.constraints.*;

/**
* 我的供应商 Base VO，提供给添加、修改、详细的子 VO 使用
* 如果子 VO 存在差异的字段，请不要添加到这里，影响 Swagger 文档生成
*/
@Data
public class AdminClientaBaseVO {

    @ApiModelProperty(value = "分组id")
    private Long pid;

    @ApiModelProperty(value = "用户id")
    private Long uid;

    @ApiModelProperty(value = "排序")
    private Integer aorder;

    @ApiModelProperty(value = "供应商名称")
    private String name;

    @ApiModelProperty(value = "供应商公司名称")
    private String company;

    @ApiModelProperty(value = "唛头")
    private String maitou;

    @ApiModelProperty(value = "电话")
    private String phone;

    @ApiModelProperty(value = "邮箱")
    private String email;

    @ApiModelProperty(value = "地址")
    private String address;

}
