package cn.iocoder.yudao.module.ecw.vo.adminClientaType;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import com.alibaba.excel.annotation.ExcelProperty;
import org.springframework.format.annotation.DateTimeFormat;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

/**
* 我的供应商分组 Response VO
* @author 系统管理员
*/
@Data
@ApiModel("管理后台 - 我的供应商分组 Response VO")
public class AdminClientaTypeBackVO {

    @ExcelProperty("主键ID")
    @ApiModelProperty(value = "主键ID", required = true)
    private Long id;

    @ExcelProperty("用户id")
    @ApiModelProperty(value = "用户id")
    private Long uid;

    @ExcelProperty("排序")
    @ApiModelProperty(value = "排序")
    private Integer aorder;

    @ExcelProperty("分组名称")
    @ApiModelProperty(value = "分组名称")
    private String title;

    @ExcelProperty("备注信息")
    @ApiModelProperty(value = "备注信息")
    private String beizhu;

    @ExcelProperty("创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "创建时间", required = true)
    private Date createTime;

}
