package cn.iocoder.yudao.module.ecw.vo.clearanceFileNo;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import com.alibaba.excel.annotation.ExcelProperty;
import org.springframework.format.annotation.DateTimeFormat;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

/**
* 清关文件号码 Response VO
* @author wlh
*/
@Data
@ApiModel("管理后台 - 清关文件号码 Response VO")
public class ClearanceFileNoBackVO {

    @ExcelProperty("")
    @ApiModelProperty(value = "", required = true)
    private Long id;

    @ExcelProperty("国家")
    @ApiModelProperty(value = "国家")
    private Long country;

    @ExcelProperty("地区")
    @ApiModelProperty(value = "地区")
    private Long district;

    @ExcelProperty("from m no")
    @ApiModelProperty(value = "from m no")
    private String fromNo;

    @ExcelProperty("ba no")
    @ApiModelProperty(value = "ba no")
    private String baNo;

    @ExcelProperty("是否展示 默认为展示")
    @ApiModelProperty(value = "是否展示 默认为展示")
    private Integer status;

    @ExcelProperty("创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "创建时间", required = true)
    private Date createTime;

}
